com.corticon.rulesemf.ast

## Interface AstPackage.Literals

- Enclosing interface:
    AstPackage

      public static interface AstPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EClass` | `ADDITIVE_EXPRESSION` The meta object literal for the '`Additive Expression`' class
    `static org.eclipse.emf.ecore.EReference` | `ADDITIVE_EXPRESSION__ADDITIVE_SUB_EXPRESSION_LIST` The meta object literal for the 'Additive Sub Expression List' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `ADDITIVE_EXPRESSION__MULTIPLICATIVE_EXPRESSION` The meta object literal for the 'Multiplicative Expression' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `ADDITIVE_EXPRESSION__TYPE` The meta object literal for the 'Type' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `ADDITIVE_OPERATOR` The meta object literal for the '`Additive Operator`' class
    `static org.eclipse.emf.ecore.EAttribute` | `ADDITIVE_OPERATOR__OPERATOR` The meta object literal for the 'Operator' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `ADDITIVE_SUB_EXPRESSION` The meta object literal for the '`Additive Sub Expression`' class
    `static org.eclipse.emf.ecore.EReference` | `ADDITIVE_SUB_EXPRESSION__ADDITIVE_OPERATOR` The meta object literal for the 'Additive Operator' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ADDITIVE_SUB_EXPRESSION__MULTIPLICATIVE_EXPRESSION` The meta object literal for the 'Multiplicative Expression' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `ASSIGNMENT_EXPRESSION` The meta object literal for the '`Assignment Expression`' class
    `static org.eclipse.emf.ecore.EReference` | `ASSIGNMENT_EXPRESSION__ASSIGNMENT_OPERATOR` The meta object literal for the 'Assignment Operator' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ASSIGNMENT_EXPRESSION__EXPRESSION` The meta object literal for the 'Expression' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ASSIGNMENT_EXPRESSION__POSTFIX_EXPRESSION` The meta object literal for the 'Postfix Expression' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `ASSIGNMENT_OPERATOR` The meta object literal for the '`Assignment Operator`' class
    `static org.eclipse.emf.ecore.EAttribute` | `ASSIGNMENT_OPERATOR__OPERATOR` The meta object literal for the 'Operator' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `COMPOUND_EXPRESSION` The meta object literal for the '`Compound Expression`' class
    `static org.eclipse.emf.ecore.EReference` | `COMPOUND_EXPRESSION__GENERAL_EXPRESSION_LIST` The meta object literal for the 'General Expression List' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `CONDITION_VALUE_SET` The meta object literal for the '`Condition Value Set`' class
    `static org.eclipse.emf.ecore.EAttribute` | `CONDITION_VALUE_SET__TYPE` The meta object literal for the 'Type' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `CONDITION_VALUE_SET__VALUE_LIST` The meta object literal for the 'Value List' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `DECLARATOR` The meta object literal for the '`Declarator`' class
    `static org.eclipse.emf.ecore.EReference` | `DECLARATOR__NAME_LIST` The meta object literal for the 'Name List' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `DECLARATOR__TYPE_SPECIFIER` The meta object literal for the 'Type Specifier' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `EXPRESSION` The meta object literal for the '`Expression`' class
    `static org.eclipse.emf.ecore.EReference` | `EXPRESSION__LOGICAL_EXPRESSION` The meta object literal for the 'Logical Expression' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `FEATURE_CALL` The meta object literal for the '`Feature Call`' class
    `static org.eclipse.emf.ecore.EReference` | `FEATURE_CALL__FEATURE_CALL_PARAMETERS` The meta object literal for the 'Feature Call Parameters' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `FEATURE_CALL__OPERATOR` The meta object literal for the 'Operator' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `FEATURE_CALL__PATH_NAME` The meta object literal for the 'Path Name' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `FEATURE_CALL__QUALIFIERS` The meta object literal for the 'Qualifiers' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `FEATURE_CALL__TIME_EXPR` The meta object literal for the 'Time Expr' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `FEATURE_CALL_PARAMETERS` The meta object literal for the '`Feature Call Parameters`' class
    `static org.eclipse.emf.ecore.EReference` | `FEATURE_CALL_PARAMETERS__DECLARATOR` The meta object literal for the 'Declarator' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `FEATURE_CALL_PARAMETERS__PARAMETER_LIST` The meta object literal for the 'Parameter List' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `GENERAL_EXPRESSION` The meta object literal for the '`General Expression`' class
    `static org.eclipse.emf.ecore.EClass` | `ICONDITION_VALUE` The meta object literal for the '`ICondition Value`' class
    `static org.eclipse.emf.ecore.EClass` | `IEXPRESSION` The meta object literal for the '`IExpression`' class
    `static org.eclipse.emf.ecore.EClass` | `IF_EXPRESSION` The meta object literal for the '`If Expression`' class
    `static org.eclipse.emf.ecore.EReference` | `IF_EXPRESSION__ELSE_EXPR` The meta object literal for the 'Else Expr' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `IF_EXPRESSION__IF_EXPR` The meta object literal for the 'If Expr' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `IF_EXPRESSION__THEN_EXPR` The meta object literal for the 'Then Expr' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `IPRIMARY_EXPRESSION` The meta object literal for the '`IPrimary Expression`' class
    `static org.eclipse.emf.ecore.EAttribute` | `IPRIMARY_EXPRESSION__TYPE` The meta object literal for the 'Type' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `LITERAL` The meta object literal for the '`Literal`' class
    `static org.eclipse.emf.ecore.EAttribute` | `LITERAL__LITERAL` The meta object literal for the 'Literal' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `LITERAL_COLLECTION` The meta object literal for the '`Literal Collection`' class
    `static org.eclipse.emf.ecore.EAttribute` | `LITERAL_COLLECTION__COLLECTION_KIND` The meta object literal for the 'Collection Kind' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `LITERAL_COLLECTION__EXPRESSION_LIST` The meta object literal for the 'Expression List' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `LOGICAL_EXPRESSION` The meta object literal for the '`Logical Expression`' class
    `static org.eclipse.emf.ecore.EReference` | `LOGICAL_EXPRESSION__LOGICAL_SUB_EXPRESSION_LIST` The meta object literal for the 'Logical Sub Expression List' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `LOGICAL_EXPRESSION__RELATIONAL_EXPRESSION` The meta object literal for the 'Relational Expression' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `LOGICAL_EXPRESSION__TYPE` The meta object literal for the 'Type' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `LOGICAL_OPERATOR` The meta object literal for the '`Logical Operator`' class
    `static org.eclipse.emf.ecore.EAttribute` | `LOGICAL_OPERATOR__OPERATOR` The meta object literal for the 'Operator' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `LOGICAL_SUB_EXPRESSION` The meta object literal for the '`Logical Sub Expression`' class
    `static org.eclipse.emf.ecore.EReference` | `LOGICAL_SUB_EXPRESSION__LOGICAL_OPERATOR` The meta object literal for the 'Logical Operator' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `LOGICAL_SUB_EXPRESSION__RELATIONAL_EXPRESSION` The meta object literal for the 'Relational Expression' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `MULTIPLICATIVE_EXPRESSION` The meta object literal for the '`Multiplicative Expression`' class
    `static org.eclipse.emf.ecore.EReference` | `MULTIPLICATIVE_EXPRESSION__MULTIPLICATIVE_SUB_EXPRESSION_LIST` The meta object literal for the 'Multiplicative Sub Expression List' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `MULTIPLICATIVE_EXPRESSION__TYPE` The meta object literal for the 'Type' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `MULTIPLICATIVE_EXPRESSION__UNARY_EXPRESSION` The meta object literal for the 'Unary Expression' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `MULTIPLICATIVE_OPERATOR` The meta object literal for the '`Multiplicative Operator`' class
    `static org.eclipse.emf.ecore.EAttribute` | `MULTIPLICATIVE_OPERATOR__OPERATOR` The meta object literal for the 'Operator' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `MULTIPLICATIVE_SUB_EXPRESSION` The meta object literal for the '`Multiplicative Sub Expression`' class
    `static org.eclipse.emf.ecore.EReference` | `MULTIPLICATIVE_SUB_EXPRESSION__MULTIPLICATIVE_OPERATOR` The meta object literal for the 'Multiplicative Operator' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `MULTIPLICATIVE_SUB_EXPRESSION__UNARY_EXPRESSION` The meta object literal for the 'Unary Expression' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `NAME` The meta object literal for the '`Name`' class
    `static org.eclipse.emf.ecore.EAttribute` | `NAME__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `PARAMETER_LIST` The meta object literal for the '`Parameter List`' class
    `static org.eclipse.emf.ecore.EReference` | `PARAMETER_LIST__EXPRESSION_LIST` The meta object literal for the 'Expression List' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `PARAMETER_LIST__GENERAL_EXPRESSION_LIST` The meta object literal for the 'General Expression List' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `PATH_NAME` The meta object literal for the '`Path Name`' class
    `static org.eclipse.emf.ecore.EReference` | `PATH_NAME__NAME_LIST` The meta object literal for the 'Name List' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `POSTFIX_EXPRESSION` The meta object literal for the '`Postfix Expression`' class
    `static org.eclipse.emf.ecore.EAttribute` | `POSTFIX_EXPRESSION__ACTION` The meta object literal for the 'Action' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `POSTFIX_EXPRESSION__FEATURE_CALL_LIST` The meta object literal for the 'Feature Call List' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `POSTFIX_EXPRESSION__PRIMARY_EXPRESSION` The meta object literal for the 'Primary Expression' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `POSTFIX_EXPRESSION__TYPE` The meta object literal for the 'Type' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `PRIMARY_EXPRESSION` The meta object literal for the '`Primary Expression`' class
    `static org.eclipse.emf.ecore.EReference` | `PRIMARY_EXPRESSION__IPRIMARY_EXPRESSION` The meta object literal for the 'IPrimary Expression' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `QUALIFIERS` The meta object literal for the '`Qualifiers`' class
    `static org.eclipse.emf.ecore.EReference` | `QUALIFIERS__PARAMETER_LIST` The meta object literal for the 'Parameter List' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `RANGE_EXPRESSION` The meta object literal for the '`Range Expression`' class
    `static org.eclipse.emf.ecore.EReference` | `RANGE_EXPRESSION__LEFT_EXPR` The meta object literal for the 'Left Expr' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `RANGE_EXPRESSION__LEFT_INCLUSIVE` The meta object literal for the 'Left Inclusive' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `RANGE_EXPRESSION__RIGHT_EXPR` The meta object literal for the 'Right Expr' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `RANGE_EXPRESSION__RIGHT_INCLUSIVE` The meta object literal for the 'Right Inclusive' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `RELATIONAL_EXPRESSION` The meta object literal for the '`Relational Expression`' class
    `static org.eclipse.emf.ecore.EReference` | `RELATIONAL_EXPRESSION__ADDITIVE_EXPRESSION` The meta object literal for the 'Additive Expression' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `RELATIONAL_EXPRESSION__RELATIONAL_SUB_EXPRESSION` The meta object literal for the 'Relational Sub Expression' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `RELATIONAL_EXPRESSION__TYPE` The meta object literal for the 'Type' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `RELATIONAL_OPERATOR` The meta object literal for the '`Relational Operator`' class
    `static org.eclipse.emf.ecore.EAttribute` | `RELATIONAL_OPERATOR__OPERATOR` The meta object literal for the 'Operator' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `RELATIONAL_SUB_EXPRESSION` The meta object literal for the '`Relational Sub Expression`' class
    `static org.eclipse.emf.ecore.EReference` | `RELATIONAL_SUB_EXPRESSION__ADDITIVE_EXPRESSION` The meta object literal for the 'Additive Expression' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `RELATIONAL_SUB_EXPRESSION__RELATIONAL_OPERATOR` The meta object literal for the 'Relational Operator' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `RULE_STATEMENT` The meta object literal for the '`Rule Statement`' class
    `static org.eclipse.emf.ecore.EClass` | `TYPE_SPECIFIER` The meta object literal for the '`Type Specifier`' class
    `static org.eclipse.emf.ecore.EAttribute` | `TYPE_SPECIFIER__ENUMERATOR` The meta object literal for the 'Enumerator' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `TYPE_SPECIFIER__NAME_LIST` The meta object literal for the 'Name List' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `UNARY_EXPRESSION` The meta object literal for the '`Unary Expression`' class
    `static org.eclipse.emf.ecore.EReference` | `UNARY_EXPRESSION__POSTFIX_EXPRESSION` The meta object literal for the 'Postfix Expression' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `UNARY_EXPRESSION__TYPE` The meta object literal for the 'Type' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `UNARY_EXPRESSION__UNARY_OPERATOR` The meta object literal for the 'Unary Operator' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `UNARY_OPERATOR` The meta object literal for the '`Unary Operator`' class
    `static org.eclipse.emf.ecore.EAttribute` | `UNARY_OPERATOR__OPERATOR` The meta object literal for the 'Operator' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `VALUE_SET` The meta object literal for the '`Value Set`' class
    `static org.eclipse.emf.ecore.EAttribute` | `VALUE_SET__TYPE` The meta object literal for the 'Type' attribute feature

- - ### Field Detail

    - #### ADDITIVE_EXPRESSION

          static final org.eclipse.emf.ecore.EClass ADDITIVE_EXPRESSION

      The meta object literal for the '`Additive Expression`' class.
      See Also:
        `AdditiveExpressionImpl`, `AstPackageImpl.getAdditiveExpression()`

    - #### ADDITIVE_EXPRESSION__TYPE

          static final org.eclipse.emf.ecore.EAttribute ADDITIVE_EXPRESSION__TYPE

      The meta object literal for the 'Type' attribute feature.

    - #### ADDITIVE_EXPRESSION__ADDITIVE_SUB_EXPRESSION_LIST

          static final org.eclipse.emf.ecore.EReference ADDITIVE_EXPRESSION__ADDITIVE_SUB_EXPRESSION_LIST

      The meta object literal for the 'Additive Sub Expression List' containment reference list feature.

    - #### ADDITIVE_EXPRESSION__MULTIPLICATIVE_EXPRESSION

          static final org.eclipse.emf.ecore.EReference ADDITIVE_EXPRESSION__MULTIPLICATIVE_EXPRESSION

      The meta object literal for the 'Multiplicative Expression' containment reference feature.

    - #### ADDITIVE_OPERATOR

          static final org.eclipse.emf.ecore.EClass ADDITIVE_OPERATOR

      The meta object literal for the '`Additive Operator`' class.
      See Also:
        `AdditiveOperatorImpl`, `AstPackageImpl.getAdditiveOperator()`

    - #### ADDITIVE_OPERATOR__OPERATOR

          static final org.eclipse.emf.ecore.EAttribute ADDITIVE_OPERATOR__OPERATOR

      The meta object literal for the 'Operator' attribute feature.

    - #### ADDITIVE_SUB_EXPRESSION

          static final org.eclipse.emf.ecore.EClass ADDITIVE_SUB_EXPRESSION

      The meta object literal for the '`Additive Sub Expression`' class.
      See Also:
        `AdditiveSubExpressionImpl`, `AstPackageImpl.getAdditiveSubExpression()`

    - #### ADDITIVE_SUB_EXPRESSION__MULTIPLICATIVE_EXPRESSION

          static final org.eclipse.emf.ecore.EReference ADDITIVE_SUB_EXPRESSION__MULTIPLICATIVE_EXPRESSION

      The meta object literal for the 'Multiplicative Expression' containment reference feature.

    - #### ADDITIVE_SUB_EXPRESSION__ADDITIVE_OPERATOR

          static final org.eclipse.emf.ecore.EReference ADDITIVE_SUB_EXPRESSION__ADDITIVE_OPERATOR

      The meta object literal for the 'Additive Operator' containment reference feature.

    - #### ASSIGNMENT_EXPRESSION

          static final org.eclipse.emf.ecore.EClass ASSIGNMENT_EXPRESSION

      The meta object literal for the '`Assignment Expression`' class.
      See Also:
        `AssignmentExpressionImpl`, `AstPackageImpl.getAssignmentExpression()`

    - #### ASSIGNMENT_EXPRESSION__ASSIGNMENT_OPERATOR

          static final org.eclipse.emf.ecore.EReference ASSIGNMENT_EXPRESSION__ASSIGNMENT_OPERATOR

      The meta object literal for the 'Assignment Operator' containment reference feature.

    - #### ASSIGNMENT_EXPRESSION__POSTFIX_EXPRESSION

          static final org.eclipse.emf.ecore.EReference ASSIGNMENT_EXPRESSION__POSTFIX_EXPRESSION

      The meta object literal for the 'Postfix Expression' containment reference feature.

    - #### ASSIGNMENT_EXPRESSION__EXPRESSION

          static final org.eclipse.emf.ecore.EReference ASSIGNMENT_EXPRESSION__EXPRESSION

      The meta object literal for the 'Expression' containment reference feature.

    - #### ASSIGNMENT_OPERATOR

          static final org.eclipse.emf.ecore.EClass ASSIGNMENT_OPERATOR

      The meta object literal for the '`Assignment Operator`' class.
      See Also:
        `AssignmentOperatorImpl`, `AstPackageImpl.getAssignmentOperator()`

    - #### ASSIGNMENT_OPERATOR__OPERATOR

          static final org.eclipse.emf.ecore.EAttribute ASSIGNMENT_OPERATOR__OPERATOR

      The meta object literal for the 'Operator' attribute feature.

    - #### COMPOUND_EXPRESSION

          static final org.eclipse.emf.ecore.EClass COMPOUND_EXPRESSION

      The meta object literal for the '`Compound Expression`' class.
      See Also:
        `CompoundExpressionImpl`, `AstPackageImpl.getCompoundExpression()`

    - #### COMPOUND_EXPRESSION__GENERAL_EXPRESSION_LIST

          static final org.eclipse.emf.ecore.EReference COMPOUND_EXPRESSION__GENERAL_EXPRESSION_LIST

      The meta object literal for the 'General Expression List' containment reference list feature.

    - #### DECLARATOR

          static final org.eclipse.emf.ecore.EClass DECLARATOR

      The meta object literal for the '`Declarator`' class.
      See Also:
        `DeclaratorImpl`, `AstPackageImpl.getDeclarator()`

    - #### DECLARATOR__TYPE_SPECIFIER

          static final org.eclipse.emf.ecore.EReference DECLARATOR__TYPE_SPECIFIER

      The meta object literal for the 'Type Specifier' containment reference feature.

    - #### DECLARATOR__NAME_LIST

          static final org.eclipse.emf.ecore.EReference DECLARATOR__NAME_LIST

      The meta object literal for the 'Name List' containment reference list feature.

    - #### EXPRESSION

          static final org.eclipse.emf.ecore.EClass EXPRESSION

      The meta object literal for the '`Expression`' class.
      See Also:
        `ExpressionImpl`, `AstPackageImpl.getExpression()`

    - #### EXPRESSION__LOGICAL_EXPRESSION

          static final org.eclipse.emf.ecore.EReference EXPRESSION__LOGICAL_EXPRESSION

      The meta object literal for the 'Logical Expression' containment reference feature.

    - #### FEATURE_CALL

          static final org.eclipse.emf.ecore.EClass FEATURE_CALL

      The meta object literal for the '`Feature Call`' class.
      See Also:
        `FeatureCallImpl`, `AstPackageImpl.getFeatureCall()`

    - #### FEATURE_CALL__OPERATOR

          static final org.eclipse.emf.ecore.EAttribute FEATURE_CALL__OPERATOR

      The meta object literal for the 'Operator' attribute feature.

    - #### FEATURE_CALL__TIME_EXPR

          static final org.eclipse.emf.ecore.EAttribute FEATURE_CALL__TIME_EXPR

      The meta object literal for the 'Time Expr' attribute feature.

    - #### FEATURE_CALL__PATH_NAME

          static final org.eclipse.emf.ecore.EReference FEATURE_CALL__PATH_NAME

      The meta object literal for the 'Path Name' containment reference feature.

    - #### FEATURE_CALL__QUALIFIERS

          static final org.eclipse.emf.ecore.EReference FEATURE_CALL__QUALIFIERS

      The meta object literal for the 'Qualifiers' containment reference feature.

    - #### FEATURE_CALL__FEATURE_CALL_PARAMETERS

          static final org.eclipse.emf.ecore.EReference FEATURE_CALL__FEATURE_CALL_PARAMETERS

      The meta object literal for the 'Feature Call Parameters' containment reference feature.

    - #### FEATURE_CALL_PARAMETERS

          static final org.eclipse.emf.ecore.EClass FEATURE_CALL_PARAMETERS

      The meta object literal for the '`Feature Call Parameters`' class.
      See Also:
        `FeatureCallParametersImpl`, `AstPackageImpl.getFeatureCallParameters()`

    - #### FEATURE_CALL_PARAMETERS__PARAMETER_LIST

          static final org.eclipse.emf.ecore.EReference FEATURE_CALL_PARAMETERS__PARAMETER_LIST

      The meta object literal for the 'Parameter List' containment reference feature.

    - #### FEATURE_CALL_PARAMETERS__DECLARATOR

          static final org.eclipse.emf.ecore.EReference FEATURE_CALL_PARAMETERS__DECLARATOR

      The meta object literal for the 'Declarator' containment reference feature.

    - #### GENERAL_EXPRESSION

          static final org.eclipse.emf.ecore.EClass GENERAL_EXPRESSION

      The meta object literal for the '`General Expression`' class.
      See Also:
        `GeneralExpressionImpl`, `AstPackageImpl.getGeneralExpression()`

    - #### IEXPRESSION

          static final org.eclipse.emf.ecore.EClass IEXPRESSION

      The meta object literal for the '`IExpression`' class.
      See Also:
        `IExpression`, `AstPackageImpl.getIExpression()`

    - #### IF_EXPRESSION

          static final org.eclipse.emf.ecore.EClass IF_EXPRESSION

      The meta object literal for the '`If Expression`' class.
      See Also:
        `IfExpressionImpl`, `AstPackageImpl.getIfExpression()`

    - #### IF_EXPRESSION__IF_EXPR

          static final org.eclipse.emf.ecore.EReference IF_EXPRESSION__IF_EXPR

      The meta object literal for the 'If Expr' containment reference feature.

    - #### IF_EXPRESSION__THEN_EXPR

          static final org.eclipse.emf.ecore.EReference IF_EXPRESSION__THEN_EXPR

      The meta object literal for the 'Then Expr' containment reference feature.

    - #### IF_EXPRESSION__ELSE_EXPR

          static final org.eclipse.emf.ecore.EReference IF_EXPRESSION__ELSE_EXPR

      The meta object literal for the 'Else Expr' containment reference feature.

    - #### IPRIMARY_EXPRESSION

          static final org.eclipse.emf.ecore.EClass IPRIMARY_EXPRESSION

      The meta object literal for the '`IPrimary Expression`' class.
      See Also:
        `IPrimaryExpression`, `AstPackageImpl.getIPrimaryExpression()`

    - #### IPRIMARY_EXPRESSION__TYPE

          static final org.eclipse.emf.ecore.EAttribute IPRIMARY_EXPRESSION__TYPE

      The meta object literal for the 'Type' attribute feature.

    - #### LITERAL

          static final org.eclipse.emf.ecore.EClass LITERAL

      The meta object literal for the '`Literal`' class.
      See Also:
        `LiteralImpl`, `AstPackageImpl.getLiteral()`

    - #### LITERAL__LITERAL

          static final org.eclipse.emf.ecore.EAttribute LITERAL__LITERAL

      The meta object literal for the 'Literal' attribute feature.

    - #### LITERAL_COLLECTION

          static final org.eclipse.emf.ecore.EClass LITERAL_COLLECTION

      The meta object literal for the '`Literal Collection`' class.
      See Also:
        `LiteralCollectionImpl`, `AstPackageImpl.getLiteralCollection()`

    - #### LITERAL_COLLECTION__COLLECTION_KIND

          static final org.eclipse.emf.ecore.EAttribute LITERAL_COLLECTION__COLLECTION_KIND

      The meta object literal for the 'Collection Kind' attribute feature.

    - #### LITERAL_COLLECTION__EXPRESSION_LIST

          static final org.eclipse.emf.ecore.EReference LITERAL_COLLECTION__EXPRESSION_LIST

      The meta object literal for the 'Expression List' containment reference list feature.

    - #### LOGICAL_EXPRESSION

          static final org.eclipse.emf.ecore.EClass LOGICAL_EXPRESSION

      The meta object literal for the '`Logical Expression`' class.
      See Also:
        `LogicalExpressionImpl`, `AstPackageImpl.getLogicalExpression()`

    - #### LOGICAL_EXPRESSION__TYPE

          static final org.eclipse.emf.ecore.EAttribute LOGICAL_EXPRESSION__TYPE

      The meta object literal for the 'Type' attribute feature.

    - #### LOGICAL_EXPRESSION__LOGICAL_SUB_EXPRESSION_LIST

          static final org.eclipse.emf.ecore.EReference LOGICAL_EXPRESSION__LOGICAL_SUB_EXPRESSION_LIST

      The meta object literal for the 'Logical Sub Expression List' containment reference list feature.

    - #### LOGICAL_EXPRESSION__RELATIONAL_EXPRESSION

          static final org.eclipse.emf.ecore.EReference LOGICAL_EXPRESSION__RELATIONAL_EXPRESSION

      The meta object literal for the 'Relational Expression' containment reference feature.

    - #### LOGICAL_OPERATOR

          static final org.eclipse.emf.ecore.EClass LOGICAL_OPERATOR

      The meta object literal for the '`Logical Operator`' class.
      See Also:
        `LogicalOperatorImpl`, `AstPackageImpl.getLogicalOperator()`

    - #### LOGICAL_OPERATOR__OPERATOR

          static final org.eclipse.emf.ecore.EAttribute LOGICAL_OPERATOR__OPERATOR

      The meta object literal for the 'Operator' attribute feature.

    - #### LOGICAL_SUB_EXPRESSION

          static final org.eclipse.emf.ecore.EClass LOGICAL_SUB_EXPRESSION

      The meta object literal for the '`Logical Sub Expression`' class.
      See Also:
        `LogicalSubExpressionImpl`, `AstPackageImpl.getLogicalSubExpression()`

    - #### LOGICAL_SUB_EXPRESSION__LOGICAL_OPERATOR

          static final org.eclipse.emf.ecore.EReference LOGICAL_SUB_EXPRESSION__LOGICAL_OPERATOR

      The meta object literal for the 'Logical Operator' containment reference feature.

    - #### LOGICAL_SUB_EXPRESSION__RELATIONAL_EXPRESSION

          static final org.eclipse.emf.ecore.EReference LOGICAL_SUB_EXPRESSION__RELATIONAL_EXPRESSION

      The meta object literal for the 'Relational Expression' containment reference feature.

    - #### MULTIPLICATIVE_EXPRESSION

          static final org.eclipse.emf.ecore.EClass MULTIPLICATIVE_EXPRESSION

      The meta object literal for the '`Multiplicative Expression`' class.
      See Also:
        `MultiplicativeExpressionImpl`, `AstPackageImpl.getMultiplicativeExpression()`

    - #### MULTIPLICATIVE_EXPRESSION__TYPE

          static final org.eclipse.emf.ecore.EAttribute MULTIPLICATIVE_EXPRESSION__TYPE

      The meta object literal for the 'Type' attribute feature.

    - #### MULTIPLICATIVE_EXPRESSION__UNARY_EXPRESSION

          static final org.eclipse.emf.ecore.EReference MULTIPLICATIVE_EXPRESSION__UNARY_EXPRESSION

      The meta object literal for the 'Unary Expression' containment reference feature.

    - #### MULTIPLICATIVE_EXPRESSION__MULTIPLICATIVE_SUB_EXPRESSION_LIST

          static final org.eclipse.emf.ecore.EReference MULTIPLICATIVE_EXPRESSION__MULTIPLICATIVE_SUB_EXPRESSION_LIST

      The meta object literal for the 'Multiplicative Sub Expression List' containment reference list feature.

    - #### MULTIPLICATIVE_OPERATOR

          static final org.eclipse.emf.ecore.EClass MULTIPLICATIVE_OPERATOR

      The meta object literal for the '`Multiplicative Operator`' class.
      See Also:
        `MultiplicativeOperatorImpl`, `AstPackageImpl.getMultiplicativeOperator()`

    - #### MULTIPLICATIVE_OPERATOR__OPERATOR

          static final org.eclipse.emf.ecore.EAttribute MULTIPLICATIVE_OPERATOR__OPERATOR

      The meta object literal for the 'Operator' attribute feature.

    - #### MULTIPLICATIVE_SUB_EXPRESSION

          static final org.eclipse.emf.ecore.EClass MULTIPLICATIVE_SUB_EXPRESSION

      The meta object literal for the '`Multiplicative Sub Expression`' class.
      See Also:
        `MultiplicativeSubExpressionImpl`, `AstPackageImpl.getMultiplicativeSubExpression()`

    - #### MULTIPLICATIVE_SUB_EXPRESSION__UNARY_EXPRESSION

          static final org.eclipse.emf.ecore.EReference MULTIPLICATIVE_SUB_EXPRESSION__UNARY_EXPRESSION

      The meta object literal for the 'Unary Expression' containment reference feature.

    - #### MULTIPLICATIVE_SUB_EXPRESSION__MULTIPLICATIVE_OPERATOR

          static final org.eclipse.emf.ecore.EReference MULTIPLICATIVE_SUB_EXPRESSION__MULTIPLICATIVE_OPERATOR

      The meta object literal for the 'Multiplicative Operator' containment reference feature.

    - #### PARAMETER_LIST

          static final org.eclipse.emf.ecore.EClass PARAMETER_LIST

      The meta object literal for the '`Parameter List`' class.
      See Also:
        `ParameterListImpl`, `AstPackageImpl.getParameterList()`

    - #### PARAMETER_LIST__EXPRESSION_LIST

          static final org.eclipse.emf.ecore.EReference PARAMETER_LIST__EXPRESSION_LIST

      The meta object literal for the 'Expression List' containment reference list feature.

    - #### PARAMETER_LIST__GENERAL_EXPRESSION_LIST

          static final org.eclipse.emf.ecore.EReference PARAMETER_LIST__GENERAL_EXPRESSION_LIST

      The meta object literal for the 'General Expression List' containment reference list feature.

    - #### PATH_NAME

          static final org.eclipse.emf.ecore.EClass PATH_NAME

      The meta object literal for the '`Path Name`' class.
      See Also:
        `PathNameImpl`, `AstPackageImpl.getPathName()`

    - #### PATH_NAME__NAME_LIST

          static final org.eclipse.emf.ecore.EReference PATH_NAME__NAME_LIST

      The meta object literal for the 'Name List' containment reference list feature.

    - #### POSTFIX_EXPRESSION

          static final org.eclipse.emf.ecore.EClass POSTFIX_EXPRESSION

      The meta object literal for the '`Postfix Expression`' class.
      See Also:
        `PostfixExpressionImpl`, `AstPackageImpl.getPostfixExpression()`

    - #### POSTFIX_EXPRESSION__TYPE

          static final org.eclipse.emf.ecore.EAttribute POSTFIX_EXPRESSION__TYPE

      The meta object literal for the 'Type' attribute feature.

    - #### POSTFIX_EXPRESSION__ACTION

          static final org.eclipse.emf.ecore.EAttribute POSTFIX_EXPRESSION__ACTION

      The meta object literal for the 'Action' attribute feature.

    - #### POSTFIX_EXPRESSION__PRIMARY_EXPRESSION

          static final org.eclipse.emf.ecore.EReference POSTFIX_EXPRESSION__PRIMARY_EXPRESSION

      The meta object literal for the 'Primary Expression' containment reference feature.

    - #### POSTFIX_EXPRESSION__FEATURE_CALL_LIST

          static final org.eclipse.emf.ecore.EReference POSTFIX_EXPRESSION__FEATURE_CALL_LIST

      The meta object literal for the 'Feature Call List' containment reference list feature.

    - #### PRIMARY_EXPRESSION

          static final org.eclipse.emf.ecore.EClass PRIMARY_EXPRESSION

      The meta object literal for the '`Primary Expression`' class.
      See Also:
        `PrimaryExpressionImpl`, `AstPackageImpl.getPrimaryExpression()`

    - #### PRIMARY_EXPRESSION__IPRIMARY_EXPRESSION

          static final org.eclipse.emf.ecore.EReference PRIMARY_EXPRESSION__IPRIMARY_EXPRESSION

      The meta object literal for the 'IPrimary Expression' containment reference feature.

    - #### QUALIFIERS

          static final org.eclipse.emf.ecore.EClass QUALIFIERS

      The meta object literal for the '`Qualifiers`' class.
      See Also:
        `QualifiersImpl`, `AstPackageImpl.getQualifiers()`

    - #### QUALIFIERS__PARAMETER_LIST

          static final org.eclipse.emf.ecore.EReference QUALIFIERS__PARAMETER_LIST

      The meta object literal for the 'Parameter List' containment reference feature.

    - #### RANGE_EXPRESSION

          static final org.eclipse.emf.ecore.EClass RANGE_EXPRESSION

      The meta object literal for the '`Range Expression`' class.
      See Also:
        `RangeExpressionImpl`, `AstPackageImpl.getRangeExpression()`

    - #### RANGE_EXPRESSION__LEFT_INCLUSIVE

          static final org.eclipse.emf.ecore.EAttribute RANGE_EXPRESSION__LEFT_INCLUSIVE

      The meta object literal for the 'Left Inclusive' attribute feature.

    - #### RANGE_EXPRESSION__RIGHT_INCLUSIVE

          static final org.eclipse.emf.ecore.EAttribute RANGE_EXPRESSION__RIGHT_INCLUSIVE

      The meta object literal for the 'Right Inclusive' attribute feature.

    - #### RANGE_EXPRESSION__LEFT_EXPR

          static final org.eclipse.emf.ecore.EReference RANGE_EXPRESSION__LEFT_EXPR

      The meta object literal for the 'Left Expr' containment reference feature.

    - #### RANGE_EXPRESSION__RIGHT_EXPR

          static final org.eclipse.emf.ecore.EReference RANGE_EXPRESSION__RIGHT_EXPR

      The meta object literal for the 'Right Expr' containment reference feature.

    - #### RELATIONAL_EXPRESSION

          static final org.eclipse.emf.ecore.EClass RELATIONAL_EXPRESSION

      The meta object literal for the '`Relational Expression`' class.
      See Also:
        `RelationalExpressionImpl`, `AstPackageImpl.getRelationalExpression()`

    - #### RELATIONAL_EXPRESSION__TYPE

          static final org.eclipse.emf.ecore.EAttribute RELATIONAL_EXPRESSION__TYPE

      The meta object literal for the 'Type' attribute feature.

    - #### RELATIONAL_EXPRESSION__ADDITIVE_EXPRESSION

          static final org.eclipse.emf.ecore.EReference RELATIONAL_EXPRESSION__ADDITIVE_EXPRESSION

      The meta object literal for the 'Additive Expression' containment reference feature.

    - #### RELATIONAL_EXPRESSION__RELATIONAL_SUB_EXPRESSION

          static final org.eclipse.emf.ecore.EReference RELATIONAL_EXPRESSION__RELATIONAL_SUB_EXPRESSION

      The meta object literal for the 'Relational Sub Expression' containment reference feature.

    - #### RELATIONAL_OPERATOR

          static final org.eclipse.emf.ecore.EClass RELATIONAL_OPERATOR

      The meta object literal for the '`Relational Operator`' class.
      See Also:
        `RelationalOperatorImpl`, `AstPackageImpl.getRelationalOperator()`

    - #### RELATIONAL_OPERATOR__OPERATOR

          static final org.eclipse.emf.ecore.EAttribute RELATIONAL_OPERATOR__OPERATOR

      The meta object literal for the 'Operator' attribute feature.

    - #### RELATIONAL_SUB_EXPRESSION

          static final org.eclipse.emf.ecore.EClass RELATIONAL_SUB_EXPRESSION

      The meta object literal for the '`Relational Sub Expression`' class.
      See Also:
        `RelationalSubExpressionImpl`, `AstPackageImpl.getRelationalSubExpression()`

    - #### RELATIONAL_SUB_EXPRESSION__RELATIONAL_OPERATOR

          static final org.eclipse.emf.ecore.EReference RELATIONAL_SUB_EXPRESSION__RELATIONAL_OPERATOR

      The meta object literal for the 'Relational Operator' containment reference feature.

    - #### RELATIONAL_SUB_EXPRESSION__ADDITIVE_EXPRESSION

          static final org.eclipse.emf.ecore.EReference RELATIONAL_SUB_EXPRESSION__ADDITIVE_EXPRESSION

      The meta object literal for the 'Additive Expression' containment reference feature.

    - #### TYPE_SPECIFIER

          static final org.eclipse.emf.ecore.EClass TYPE_SPECIFIER

      The meta object literal for the '`Type Specifier`' class.
      See Also:
        `TypeSpecifierImpl`, `AstPackageImpl.getTypeSpecifier()`

    - #### TYPE_SPECIFIER__ENUMERATOR

          static final org.eclipse.emf.ecore.EAttribute TYPE_SPECIFIER__ENUMERATOR

      The meta object literal for the 'Enumerator' attribute feature.

    - #### TYPE_SPECIFIER__NAME_LIST

          static final org.eclipse.emf.ecore.EReference TYPE_SPECIFIER__NAME_LIST

      The meta object literal for the 'Name List' containment reference list feature.

    - #### UNARY_EXPRESSION

          static final org.eclipse.emf.ecore.EClass UNARY_EXPRESSION

      The meta object literal for the '`Unary Expression`' class.
      See Also:
        `UnaryExpressionImpl`, `AstPackageImpl.getUnaryExpression()`

    - #### UNARY_EXPRESSION__TYPE

          static final org.eclipse.emf.ecore.EAttribute UNARY_EXPRESSION__TYPE

      The meta object literal for the 'Type' attribute feature.

    - #### UNARY_EXPRESSION__POSTFIX_EXPRESSION

          static final org.eclipse.emf.ecore.EReference UNARY_EXPRESSION__POSTFIX_EXPRESSION

      The meta object literal for the 'Postfix Expression' containment reference feature.

    - #### UNARY_EXPRESSION__UNARY_OPERATOR

          static final org.eclipse.emf.ecore.EReference UNARY_EXPRESSION__UNARY_OPERATOR

      The meta object literal for the 'Unary Operator' containment reference feature.

    - #### UNARY_OPERATOR

          static final org.eclipse.emf.ecore.EClass UNARY_OPERATOR

      The meta object literal for the '`Unary Operator`' class.
      See Also:
        `UnaryOperatorImpl`, `AstPackageImpl.getUnaryOperator()`

    - #### UNARY_OPERATOR__OPERATOR

          static final org.eclipse.emf.ecore.EAttribute UNARY_OPERATOR__OPERATOR

      The meta object literal for the 'Operator' attribute feature.

    - #### NAME

          static final org.eclipse.emf.ecore.EClass NAME

      The meta object literal for the '`Name`' class.
      See Also:
        `NameImpl`, `AstPackageImpl.getName_()`

    - #### NAME__NAME

          static final org.eclipse.emf.ecore.EAttribute NAME__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### ICONDITION_VALUE

          static final org.eclipse.emf.ecore.EClass ICONDITION_VALUE

      The meta object literal for the '`ICondition Value`' class.
      See Also:
        `IConditionValue`, `AstPackageImpl.getIConditionValue()`

    - #### CONDITION_VALUE_SET

          static final org.eclipse.emf.ecore.EClass CONDITION_VALUE_SET

      The meta object literal for the '`Condition Value Set`' class.
      See Also:
        `ConditionValueSetImpl`, `AstPackageImpl.getConditionValueSet()`

    - #### CONDITION_VALUE_SET__TYPE

          static final org.eclipse.emf.ecore.EAttribute CONDITION_VALUE_SET__TYPE

      The meta object literal for the 'Type' attribute feature.

    - #### CONDITION_VALUE_SET__VALUE_LIST

          static final org.eclipse.emf.ecore.EReference CONDITION_VALUE_SET__VALUE_LIST

      The meta object literal for the 'Value List' containment reference list feature.

    - #### VALUE_SET

          static final org.eclipse.emf.ecore.EClass VALUE_SET

      The meta object literal for the '`Value Set`' class.
      See Also:
        `ValueSetImpl`, `AstPackageImpl.getValueSet()`

    - #### VALUE_SET__TYPE

          static final org.eclipse.emf.ecore.EAttribute VALUE_SET__TYPE

      The meta object literal for the 'Type' attribute feature.

    - #### RULE_STATEMENT

          static final org.eclipse.emf.ecore.EClass RULE_STATEMENT

      The meta object literal for the '`Rule Statement`' class.
      See Also:
        `RuleStatementImpl`, `AstPackageImpl.getRuleStatement()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.